summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorTim Janik <timj@gtk.org>1998-09-07 09:43:54 +0000
committerTim Janik <timj@src.gnome.org>1998-09-07 09:43:54 +0000
commit0b42c37e7d91a517372108e99105556f5146b0b5 (patch)
tree9d68a6a0a14e78a40fefde1901f544597ce6d64e /autogen.sh
parentaffa6a06770c047761586bede62ca8e8cdef3cfb (diff)
check for all three inline keywords individually.
Mon Sep 7 07:53:21 1998 Tim Janik <timj@gtk.org> * configure.in: check for all three inline keywords individually. * glib.h: inlining hassle. for compilers that don't allow the `inline' keyword, mostly because of strict ANSI C compliance or dumbness, we try to fall back to either `__inline__' or `__inline'. we define G_CAN_INLINE, if the compiler seems to be actually *capable* to do function inlining, in which case inline function bodys do make sense. we also define G_INLINE_FUNC to properly export the function prototypes if no inlinig can be performed. we special case most of the stuff, so inline functions can have a normal implementation by defining G_INLINE_FUNC to extern and G_CAN_INLINE to 1. * ltconfig: (compiler PIC flag test): special case linux for non aout systems to honour lcc's position independant code (cases "linux*aout)" and "linux*)" got added). (this needs to go into libtool which does an advanced test, checking for __LCC__). * autogen.sh: take $CC=lcc into account by invoking automake with --include-deps so lcc isn't scared by gcc's auto-dependancy generation code. care about $ACLOCAL_FLAGS. optionally feature autoheader. * minor fixups in other places to cure some of lcc's warnings.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh27
1 files changed, 19 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index d9da49b04..06b9ab194 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,11 +1,15 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+PROJECT=GLib
+TEST_TYPE=-f
+FILE=glib.h
+
DIE=0
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have autoconf installed to compile GLIB."
+ echo "You must have autoconf installed to compile $PROJECT."
echo "Download the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
@@ -13,7 +17,7 @@ DIE=0
(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have libtool installed to compile GLIB."
+ echo "You must have libtool installed to compile $PROJECT."
echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
@@ -21,7 +25,7 @@ DIE=0
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have automake installed to compile GLIB."
+ echo "You must have automake installed to compile $PROJECT."
echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
@@ -31,8 +35,8 @@ if test "$DIE" -eq 1; then
exit 1
fi
-test -f glib.h || {
- echo "You must run this script in the top-level GLIB directory"
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
exit 1
}
@@ -41,10 +45,17 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-aclocal
-automake
+case $CC in
+*lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+aclocal $ACLOCAL_FLAGS
+automake $am_opt
autoconf
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
./configure "$@"
echo
-echo "Now type 'make' to compile GLIB."
+echo "Now type 'make' to compile $PROJECT."